GH-ISSUE-CREATE(1)

NAME
gh-issue-create - Create a new issue

SYNOPSIS
gh issue create [flags]

DESCRIPTION
Create an issue on GitHub.

Adding an issue to projects requires authorization with the project scope. To authorize, run gh auth refresh -s project.

OPTIONS

-a, --assignee <login>
    Assign people by their login. Use "@me" to self-assign.

-b, --body <string>
    Supply a body. Will prompt for one otherwise.

-F, --body-file <file>
    Read body text from file (use "-" to read from standard input)

-e, --editor
    Skip prompts and open the text editor to write the title and body in. The first line is the title and the remaining text is the body.

-l, --label <name>
    Add labels by name

-m, --milestone <name>
    Add the issue to a milestone by name

-p, --project <title>
    Add the issue to projects by title

--recover <string>
    Recover input from a failed run of create

-T, --template <file>
    Template file to use as starting body text

-t, --title <string>
    Supply a title. Will prompt for one otherwise.

-w, --web
    Open the browser to create an issue

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh issue new

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh issue create --title "I found a bug" --body "Nothing works"
    $ gh issue create --label "bug,help wanted"
    $ gh issue create --label bug --label "help wanted"
    $ gh issue create --assignee monalisa,hubot
    $ gh issue create --assignee "@me"
    $ gh issue create --project "Roadmap"
    $ gh issue create --template "bug_report.md"

SEE ALSO
gh-issue(1)